﻿
@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<ProductGroup>


@(
 Html.Grid(Model).Named("AllProductGroup").Columns(columns =>
 {
     columns.Add(x => x.ProductGroupCode)
         .Titled("Code")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.ProductGroupCode).Filterable(true);
     
     columns.Add(x => x.IsActived)
        .Titled("Is Actived")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.IsActived ? "Active":"Not-Active").Filterable(true);

     columns.Add(x => x.CreatedDate)
         .Titled("Created Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CreatedDate.ToString("dd-MM-yyyy HH:mm"));

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
     .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.ProductGroup.Edit(x.ID))));


 }).Filterable()
.Sortable()
.WithPaging(5)
)

@helper IsActiveRender(bool isActive)
{
    if(isActive)
    {
        <span>True</span>
    }
    else
    {
        <span>False</span>
    }
}